Supported application transaction tracing technologies for transaction monitoring

Note

The BTM feature, enabled by license, is withdrawn and BMC will stop providing support for this on March 31, 2024. This feature is not being updated to support new releases of the technology it monitors. As the supported versions are no longer supported by the technology vendor this functionality might be dropped earlier than March 2024.


The following table lists the supported transaction monitoring versions and the supported platforms for each for MainView Middleware Monitor.

Note that the BTM JEE Servlet Monitoring filter and BTM Java EE API are tested and supported ONLY on the listed platforms and technologies. Customers are free to use these toolkits on other platforms at their own risk. However, defects and issues are accepted only if they can be replicated on a supported platform.

If you are looking for the supported platforms for performance and availability, see Supported middleware monitoring technologies for performance and availability.

The following table lists the supported technology/platforms combinations. Platforms are listed across, technologies are listed down. A + symbol indicates a supported technology on that platform.

Monitored technology and version

AIX

6.1,

7.1,

7.2

HP-UX 11 Itanium

i5/OSa

V7R1,

V7R2,

V7R3,

V7R4,

Linux (IBM-supported x86)

Linux (IBM-supported zSeries)a

SPARC Solarisc 10, 11

Windows 2016

z/OSa

2.1,

2.2,

2.3,

2.4

BTM Java API

+

+

+

+

+

+

BTM Java JMX API

+

+

+

+

+

+

HTTP Monitoring:

Apache 2.2

+

+

+

+

+b

IBM HTTP Server 8.5

+

+

+

+

+b

Java EE API:

WebSphere Application Server 8.5

+  + +++

Java EE JMS Destination Monitoring:

WebSphere Application Server 8.5

+  + ++ 

Java EE Servlet Monitoring (Servlet Filter Spec 2.3+):

WebSphere Application Server 8.5

+  + ++ 

TIBCO EMS 8.0, 8.1, 8.2

+

+

+

+

IBM Integration Bus (IIB) 10.0

+

+

+

+

+

WebSphere MQ 9.0

+

+

+

+

+

+

+

+

    1. Requires Java 1.7 or later for Java Extensions and the MVMM Configuration Agent (bmmtm_agent).
    2. 32-bit technology only supported. 
    3. This OS platform is deprecated. The Solaris JREs available for distribution in MVMM bootstrap agent packages use an Oracle Java 8 JRE. BMC will not be providing updates for those JREs going forward. 

      For future updates on Solaris SPARC or X86 you must either provide your own Oracle JRE or use a JRE provided by one of the technologies being monitored. 

      As such, the Solaris SPARC and x86 platforms are being deprecated for possible removal in a future release. If you are using either of these platforms contact BMC Support so we can determine when and if either of these platforms should be removed in a future release.

Was this page helpful? Yes No Submitting... Thank you

Comments